/*
 * 	Implication.java
 *
 * 	This class is used for the operator Implication.
 *
 *	Date 20/01/06
 *
 *	Copyright Piquier Production
 *
 *	Author : Dave Studio
 *
 */

#include "Implication.h"

using namespace std;

Implication::Implication(){}

Implication::~Implication(){}

FuzzyValue Implication::operate(FuzzyValue* v1, FuzzyValue* v2){
		return FuzzyValue(v2->getName(), v1->getValue());
		 }
	
string Implication::toString(){
		return "=>";
	}